# CSB

## Welcome

CSB is a python framework for building applications in the domain 
of structural bioinformatics. Here you will find the most recent 
source code, official releases and documentation of the project. 
This is also the right place to get in touch with the developers, 
suggest a feature or report an issue in our bug tracker.


## Overview

With our API you can:

* read, manipulate and write protein structures, sequences, 
alignments, HMMs and more
* evaluate probability density functions and sample from probability 
  distributions
* draw charts
* run or reuse components from a number of pre-installed applications


## Documentation
 
* [Documentation](Documentation)
* [Tutorials](Documentation#tutorials)
* [API docs](http://pythonhosted.org/csb)

## Download

CSB runs on any platform, but requires a sane python interpreter: 
python 2.7 or higher / 3.1 or higher. If you already have 
[pip](pip-installer.org) installed on your system, you can install 
the latest release with pip:

    $ pip install csb 
    

## Batteries Included

CSB is bundled with a number of executable console ``csb.apps``. 
Each app provides a standard command line interface. To run any app, try:


    $ python csb-app --help

where ``csb-app`` is the name of the application, e.g. ``csb-hhfrag``. 
For more details on our application framework, including guidelines 
for writing your own applications, please refer to the API docs in 
the release package, namespace ``csb.apps``.


## Contact

This project is developed by Michael Habeck's Computational Structural 
Biology [research group](http://www.stochastik.math.uni-goettingen.de/index.php?id=172),
in Germany.

* Ivan Kalev <ivan.kalev@gmail.com>
* Michel Habeck <mhabeck@gwdg.de>


## Citation

[CSB: a Python framework for structural bioinformatics.](http://www.ncbi.nlm.nih.gov/pubmed/22942023)
Ivan Kalev, Martin Mechelke, Klaus O. Kopec, Thomas Holder, Simeon Carstens and Michael Habeck.
_Bioinformatics._ 2012 



